Imports System.Runtime.InteropServices
Imports System.ComponentModel
Imports Excel = Microsoft.Office.Interop.Excel
Imports Outlook = Microsoft.Office.Interop.Outlook

'Add-in Express Add-in Module
<GuidAttribute("EFDE643C-4CAE-415D-B0E2-2FBE74291A9B"), ProgIdAttribute("ADX_Task_Pane_Color_VB.AddinModule")> _
Public Class AddinModule
    Inherits AddinExpress.MSO.ADXAddinModule

    Friend WithEvents AdxExcelTaskPanesManager1 As AddinExpress.XL.ADXExcelTaskPanesManager
    Friend WithEvents ExcelTaskPanesCollectionItem As AddinExpress.XL.ADXExcelTaskPanesCollectionItem
    Friend WithEvents AdxOlFormsManager1 As AddinExpress.OL.ADXOlFormsManager
    Friend WithEvents OlFormsCollectionItem As AddinExpress.OL.ADXOlFormsCollectionItem
#Region " Component Designer generated code. "
    'Required by designer
    Private components As System.ComponentModel.IContainer

    'Required by designer - do not modify
    'the following method
    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Me.AdxExcelTaskPanesManager1 = New AddinExpress.XL.ADXExcelTaskPanesManager(Me.components)
        Me.ExcelTaskPanesCollectionItem = New AddinExpress.XL.ADXExcelTaskPanesCollectionItem(Me.components)
        Me.AdxOlFormsManager1 = New AddinExpress.OL.ADXOlFormsManager(Me.components)
        Me.OlFormsCollectionItem = New AddinExpress.OL.ADXOlFormsCollectionItem(Me.components)
        '
        'AdxExcelTaskPanesManager1
        '
        Me.AdxExcelTaskPanesManager1.Items.Add(Me.ExcelTaskPanesCollectionItem)
        Me.AdxExcelTaskPanesManager1.SetOwner(Me)
        '
        'ExcelTaskPanesCollectionItem
        '
        Me.ExcelTaskPanesCollectionItem.Position = AddinExpress.XL.ADXExcelTaskPanePosition.Right
        Me.ExcelTaskPanesCollectionItem.TaskPaneClassName = "ADX_Task_Pane_Color_VB.ADXExcelTaskPane1"
        '
        'AdxOlFormsManager1
        '
        Me.AdxOlFormsManager1.Items.Add(Me.OlFormsCollectionItem)
        Me.AdxOlFormsManager1.SetOwner(Me)
        '
        'OlFormsCollectionItem
        '
        Me.OlFormsCollectionItem.ExplorerItemTypes = CType((((((((AddinExpress.OL.ADXOlExplorerItemTypes.olMailItem Or AddinExpress.OL.ADXOlExplorerItemTypes.olAppointmentItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olContactItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olTaskItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olJournalItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olNoteItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olPostItem) _
                    Or AddinExpress.OL.ADXOlExplorerItemTypes.olDistributionListItem), AddinExpress.OL.ADXOlExplorerItemTypes)
        Me.OlFormsCollectionItem.ExplorerLayout = AddinExpress.OL.ADXOlExplorerLayout.RightSubpane
        Me.OlFormsCollectionItem.FormClassName = "ADX_Task_Pane_Color_VB.ADXOlForm1"
        '
        'AddinModule
        '
        Me.AddinName = "ADX_Task_Pane_Color_VB"
        Me.SupportedApps = CType((AddinExpress.MSO.ADXOfficeHostApp.ohaExcel Or AddinExpress.MSO.ADXOfficeHostApp.ohaOutlook), AddinExpress.MSO.ADXOfficeHostApp)

    End Sub

#End Region

#Region " Add-in Express automatic code "

    'Required by Add-in Express - do not modify
    'the methods within this region

    Public Overrides Function GetContainer() As System.ComponentModel.IContainer
        If components Is Nothing Then
            components = New System.ComponentModel.Container
        End If
        GetContainer = components
    End Function

    <ComRegisterFunctionAttribute()> _
    Public Shared Sub AddinRegister(ByVal t As Type)
        AddinExpress.MSO.ADXAddinModule.ADXRegister(t)
    End Sub

    <ComUnregisterFunctionAttribute()> _
    Public Shared Sub AddinUnregister(ByVal t As Type)
        AddinExpress.MSO.ADXAddinModule.ADXUnregister(t)
    End Sub

    Public Overrides Sub UninstallControls()
        MyBase.UninstallControls()
    End Sub

#End Region

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer
        InitializeComponent()
    End Sub

    Public ReadOnly Property ExcelApp() As Excel._Application
        Get
            Return CType(HostApplication, Excel._Application)
        End Get
    End Property

    Public ReadOnly Property OutlookApp() As Outlook._Application
        Get
            Return CType(HostApplication, Outlook._Application)
        End Get
    End Property

    Private Sub AddinModule_OfficeColorSchemeChanged( _
        ByVal sender As System.Object, _
        ByVal theme As AddinExpress.MSO.OfficeColorScheme) _
        Handles MyBase.OfficeColorSchemeChanged

        ' Excel task pane
        If Me.HostType = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel Then
            Dim ExcelPane As ADXExcelTaskPane1
            ExcelPane = CType( _
                ExcelTaskPanesCollectionItem.TaskPaneInstance, _
                ADXExcelTaskPane1)
            ExcelPane.DoPaint(theme)
        End If
        ' Outlook forms
        If Me.HostType = AddinExpress.MSO.ADXOfficeHostApp.ohaOutlook Then
            Dim OutlookForm As ADXOlForm1
            Dim I As Integer
            For I = 0 To OlFormsCollectionItem.FormInstanceCount - 1
                OutlookForm = CType( _
                    OlFormsCollectionItem.FormInstances(I), _
                    ADXOlForm1)
                OutlookForm.DoPaint(theme)
            Next
        End If
    End Sub
End Class

